OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- File List
- Globals

Enumerations
autoreplace_widget.h File Reference

Types related to the autoreplace widgets. More...

Go to the source code of this file.

## Enumerations
enum | ReplaceVehicleWidgets { WID_RV_CAPTION, WID_RV_SORT_ASCENDING_DESCENDING, WID_RV_SHOW_HIDDEN_ENGINES, WID_RV_SORT_DROPDOWN, WID_RV_LEFT_MATRIX, WID_RV_LEFT_SCROLLBAR, WID_RV_RIGHT_MATRIX, WID_RV_RIGHT_SCROLLBAR, WID_RV_LEFT_DETAILS, WID_RV_RIGHT_DETAILS, WID_RV_START_REPLACE, WID_RV_INFO_TAB, WID_RV_STOP_REPLACE, WID_RV_TRAIN_ENGINEWAGON_TOGGLE, WID_RV_TRAIN_FLUFF_LEFT, WID_RV_TRAIN_RAILTYPE_DROPDOWN, WID_RV_TRAIN_FLUFF_RIGHT, WID_RV_TRAIN_WAGONREMOVE_TOGGLE }
| Widgets of the ReplaceVehicleWindow class. More...

## Detailed Description

Types related to the autoreplace widgets.

Definition in file autoreplace_widget.h.

## Enumeration Type Documentation

enum ReplaceVehicleWidgets

Widgets of the ReplaceVehicleWindow class.

Enumerator:

  WID_RV_CAPTION | Caption of the window.
  WID_RV_SORT_ASCENDING_DESCENDING | Ascending/descending sort order button.
  WID_RV_SHOW_HIDDEN_ENGINES | Toggle whether to display the hidden vehicles.
  WID_RV_SORT_DROPDOWN | Dropdown for the sort criteria.
  WID_RV_LEFT_MATRIX | The matrix on the left.
  WID_RV_LEFT_SCROLLBAR | The scrollbar for the matrix on the left.
  WID_RV_RIGHT_MATRIX | The matrix on the right.
  WID_RV_RIGHT_SCROLLBAR | The scrollbar for the matrix on the right.
  WID_RV_LEFT_DETAILS | Details of the entry on the left.
  WID_RV_RIGHT_DETAILS | Details of the entry on the right.
  WID_RV_START_REPLACE | Start Replacing button.
  WID_RV_INFO_TAB | Info tab.
  WID_RV_STOP_REPLACE | Stop Replacing button.
  WID_RV_TRAIN_ENGINEWAGON_TOGGLE | Button to toggle engines and/or wagons.
  WID_RV_TRAIN_FLUFF_LEFT | The fluff on the left.
  WID_RV_TRAIN_RAILTYPE_DROPDOWN | Dropdown menu about the railtype.
  WID_RV_TRAIN_FLUFF_RIGHT | The fluff on the right.
  WID_RV_TRAIN_WAGONREMOVE_TOGGLE | Button to toggle removing wagons.

Definition at line 16 of file autoreplace_widget.h.